Skip to main content
PATCH
/
v1
/
uploads
/
{id}
/
signature
Adjust signature count
curl --request PATCH \
  --url https://api.example.com/v1/uploads/{id}/signature \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "adjust_by": 123
}
'
import requests

url = "https://api.example.com/v1/uploads/{id}/signature"

payload = { "adjust_by": 123 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({adjust_by: 123})
};

fetch('https://api.example.com/v1/uploads/{id}/signature', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "file_name": "<string>",
  "document_type": "<string>",
  "approval_needed": 123,
  "approval_made": 123,
  "signature_needed": 123,
  "signature_made": 123,
  "content_length": 123,
  "file_extension": "<string>",
  "active": true,
  "metadata": {},
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
{
"code": "common.record_not_found",
"message": "File not found"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
adjust_by
number<float>
required

Response

Signature count updated

id
string<uuid>
file_name
string
document_type
string
approval_status
enum<string>
Available options:
pending,
approved,
attached
approval_needed
number<float>
approval_made
number<float>
signature_status
enum<string>
Available options:
pending,
signed,
not_required
signature_needed
number<float>
signature_made
number<float>
content_length
integer<int64>
file_extension
string
active
boolean
metadata
object
created_at
string<date-time>
created_by
string<uuid>